# Troubleshooting Guide

### Incomplete files and folder structure <a href="#incomplete-files-and-folder-structure" id="incomplete-files-and-folder-structure"></a>

Monaca/Cordova projects initially consist of the following files and folders:

| File/Folder  | Description                                         |
| ------------ | --------------------------------------------------- |
| `www/`       | Storage folder for the main body of the application |
| `config.xml` | Cordova configuration file                          |

In this section, we will talk about how to fix your project if the `www/` or `config.xml` file is missing.

## Missing the www folder

### For standard projects

The user should create a `www` folder in the project root or restore the previous backup of the folder.

### For Webpack projects

The user should proceed as follows:

1. In the command line window, navigate to the project folder.
2. Run the `monaca transpile` command. This will generate the `www` folder with the body of the application.

## Missing the config.xml file

{% hint style="info" %}
This solution will only work if your project exists in the Monaca Cloud or you have a backup version of it.
{% endhint %}

1. The user should create an empty `config.xml` file in the project

   root.
2. Copy the content of the `config.xml` file of the project in the

   Cloud or the backup project.
3. Paste the content to the empty `config.xml` file.

See Also:

* [Monaca CLI Tutorial](/products_guide/monaca_cli/tutorial.md)
* [Monaca CLI Overview](/products_guide/monaca_cli/overview.md)
* [Project Dependencies](/products_guide/monaca_cli/dependencies.md)
* [Monaca CLI Commands](/products_guide/monaca_cli/cli_commands.md)
* [Pairing and Debugging](/products_guide/monaca_cli/pairing_debugging.md)
* [Remote Building and Publishing](/products_guide/monaca_cli/build_publish.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/products_guide/monaca_cli/troubleshooting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
